- Qt 6.8
- Qt GUI
- C++ Classes
- QtGuiPrivate
- QRhiVulkanCommandBufferNativeHandles
- Qt 6.8.2 Reference Documentation

# QRhiVulkanCommandBufferNativeHandles Struct

Holds the Vulkan command buffer object that is backing a QRhiCommandBuffer. More...

Header: | `#include <rhi/qrhi.h>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Gui)` `target_link_libraries(mytarget PRIVATE Qt6::GuiPrivate)`
qmake: | `QT += gui-private`
Since: | Qt 6.6
Inherits: | QRhiNativeHandles

- List of all members, including inherited members

## Public Variables

VkCommandBuffer | commandBuffer

## Detailed Description

Note: The Vulkan command buffer object is only guaranteed to be valid, and in recording state, while recording a frame. That is, between a beginFrame() - endFrame() or beginOffscreenFrame() - endOffscreenFrame() pair.

Note: This is a RHI API with limited compatibility guarantees, see QRhi for details.

## Member Variable Documentation

### VkCommandBuffer QRhiVulkanCommandBufferNativeHandles::commandBuffer

The VkCommandBuffer object.